import { Schema } from "./Schema";
import { IVoxaSheet } from "./VoxaSheet";
export interface IDialogflowMessage {
    type: number;
    lang: string;
    speech: string[];
}
export declare class DialogflowSchema extends Schema {
    environment: string;
    builtIntents: any;
    constructor(voxaSheets: IVoxaSheet[], interactionOptions: any);
    validate(): void;
    build(locale: string, environment: string): void;
    buildPackage(environment: string): void;
    getLocale(locale: string): string;
    buildAgent(locale: string, environment: string): void;
    buildUtterances(locale: string, environment: string): void;
    buildIntent(locale: string, environment: string): void;
    buildEntities(locale: string, environment: string): void;
    protected buildFilePath(...names: string[]): string;
}
