export declare type ISupportedPlatforms = "alexa" | "dialogflow";
export interface IInteractionOptions {
    rootPath?: string;
    speechPath?: string;
    platforms?: ISupportedPlatforms[] | ISupportedPlatforms;
    contentPath?: string;
    viewsPath?: string;
    synonymPath?: string;
    spreadsheets: string | string[];
    alexaSpreadsheets: string | string[];
    dialogflowSpreadsheets: string | string[];
    assets?: string[];
    assetsPath?: string;
}
export interface IDefinedInteractionOptions {
    rootPath: string;
    speechPath: string;
    platforms: ISupportedPlatforms[];
    contentPath: string;
    viewsPath: string;
    synonymPath: string;
    spreadsheets: string[];
    alexaSpreadsheets: string | string[];
    dialogflowSpreadsheets: string | string[];
    assets: string[];
    assetsPath: string;
}
export declare const DEFAULT_INTERACTION_OPTIONS: {
    speechPath: string;
    platforms: ISupportedPlatforms[];
    contentPath: string;
    viewsPath: string;
    synonymPath: string;
    assets: never[];
    assetsPath: string;
};
export declare const buildInteraction: (interactionOptions: IInteractionOptions, authKeys: any) => Promise<void>;
