interface IAnswers {
    appName: string;
    canFulfill: boolean;
    language: string;
    author: string;
    analytics: string[];
    voxaCli: boolean;
    saveUserInfo: boolean;
    platform: string[];
    accountLinking: boolean;
    newDir: boolean;
}
interface IData {
    appName: string;
    kebabAppName: string;
    folderName: string;
    canFulfill: boolean;
    language: string;
    ext: string;
    author: string;
    ga: boolean;
    dashbot: boolean;
    chatbase: boolean;
    voxaCli: boolean;
    saveUserInfo: boolean;
    usesAlexa: boolean;
    usesGoogleAssistant: boolean;
    usesFacebook: boolean;
    usesTelegram: boolean;
    accountLinking: boolean;
}
export default class VoxaGenerator {
    data: IData;
    constructor(answers: IAnswers);
    generateProject(): Promise<boolean>;
    private getTemplatePath;
    private getTemplateFile;
    private generateHandlebarTemplateFile;
    private copyFileOrFolder;
    private copyPackageFile;
    private copyReadmeFile;
    private copyGitIgnoreFile;
    private copyInteractionFile;
    private copyServerless;
    private copyServer;
    private copySrcIndexFile;
    private copySrcModelFile;
    private copySrcHandlerFile;
    private copySrcConfigFiles;
    private copySrcFiles;
    private copyWebFiles;
    private copyAllOtherFiles;
}
export {};
