export declare interface IVoxaSheet {
    spreadsheetId: string;
    spreadsheetTitle: string;
    sheetTitle: string;
    type: string;
    data?: any;
}
export declare interface IPlatformSheets {
    alexaSpreadsheets: IVoxaSheet[];
    dialogflowSpreadsheets: IVoxaSheet[];
}
export declare class SheetTypes {
    [key: string]: any;
    static readonly DOWNLOAD = "DOWNLOAD_";
    static readonly SLOTS = "LIST_OF_";
    static readonly INTENT = "INTENT";
    static readonly UTTERANCE = "UTTERANCES_";
    static readonly RESPONSES = "RESPONSES_";
    static readonly PROMPTS = "PROMPTS_";
    static readonly INVOCATION = "INVOCATION_NAMES";
    static readonly SKILL_GENERAL_INFORMATION = "SKILL_GENERAL_INFORMATION";
    static readonly SKILL_LOCALE_INFORMATION = "SKILL_LOCALE_INFORMATION";
    static readonly SKILL_ENVIRONMENTS = "SKILL_ENVIRONMENTS_INFORMATION";
    static readonly VIEWS = "VIEWS_FILE";
}
export declare function getSheetType(voxaSheet: IVoxaSheet): string;
